"""Core module for Fenic."""

from fenic.core.metrics import (
    LMMetrics,
    OperatorMetrics,
    QueryMetrics,
    RMMetrics,
)
from fenic.core.types import (
    ArrayType,
    BooleanType,
    BranchSide,
    ClassifyExample,
    ClassifyExampleCollection,
    ColumnField,
    DataLike,
    DataLikeType,
    DataType,
    DocumentPathType,
    DoubleType,
    EmbeddingType,
    ExtractSchema,
    ExtractSchemaField,
    ExtractSchemaList,
    FloatType,
    HtmlType,
    IntegerType,
    JoinExample,
    JoinExampleCollection,
    JsonType,
    MapExample,
    MapExampleCollection,
    MarkdownType,
    PredicateExample,
    PredicateExampleCollection,
    QueryResult,
    Schema,
    SemanticSimilarityMetric,
    StringType,
    StructField,
    StructType,
    TranscriptType,
)

__all__ = [
    # Types
    "ArrayType",
    "BooleanType",
    "BranchSide",
    "DataType",
    "DocumentPathType",
    "DoubleType",
    "EmbeddingType",
    "FloatType",
    "HtmlType",
    "IntegerType",
    "JsonType",
    "MarkdownType",
    "StringType",
    "StructField",
    "StructType",
    "TranscriptType",
    "ExtractSchema",
    "ExtractSchemaField",
    "ExtractSchemaList",
    "ColumnField",
    "Schema",
    "ClassifyExample",
    "ClassifyExampleCollection",
    "JoinExample",
    "JoinExampleCollection",
    "MapExample",
    "MapExampleCollection",
    "PredicateExample",
    "PredicateExampleCollection",
    "SemanticSimilarityMetric",
    # Metrics
    "QueryMetrics",
    "LMMetrics",
    "RMMetrics",
    "OperatorMetrics",
    # QueryResult
    "DataLike",
    "DataLikeType",
    "QueryResult",
]
